/// <reference path="C:/Users/RUI/OneDrive/lib/aftereffects.d.ts/ae.d.ts"/>
(function () {
    var GIF_SUPPORT_EXTENTION = ["GIF:*.gif", "All files:*.*"];
    var JPEG_SUPPORT_EXTENTION = ["JPEG:*.jpg", "All files:*.*"];
    var FFX_SUPPORT_EXTENTION = ["Adobe After Effects Preset:*.ffx", "All files:*.*"];
    var folderPath = Folder.desktop;
    if (app.project.file != null) {
        folderPath = app.project.file.parent;
    }
    var gifFile = new File(decodeURIComponent(String(folderPath))).openDlg("Select File", GIF_SUPPORT_EXTENTION);
    if (gifFile == null) {
        return 0;
    }
    folderPath = gifFile.parent;
    var jpegFile = new File(decodeURIComponent(String(folderPath))).openDlg("Select File", JPEG_SUPPORT_EXTENTION);
    if (jpegFile == null) {
        return 0;
    }
    folderPath = jpegFile.parent;
    var ffxFile = new File(decodeURIComponent(String(folderPath))).openDlg("Select File", FFX_SUPPORT_EXTENTION);
    if (ffxFile == null) {
        return 0;
    }
    app.injectPresetAnimation(jpegFile, gifFile, ffxFile);
}).call(this);
